HappyDoc Generated Documentation | Class: Gnuplot
--- | ---

/ Gnuplot / _Gnuplot.py / Gnuplot

Methods |
--- | ---

| load
--- | ---

    load ( self,  filename )

| set
--- | ---

    set ( self,  **keyw )

Exceptions |
--- | ---
'option %s is not supported' %( k, )

| _add_to_queue
--- | ---

    _add_to_queue ( self,  items )

| replot
--- | ---

    replot (
            self,
            *items,
            *keyw,
            )

| set_label
--- | ---

    set_label (
            self,
            option,
            s=None,
            offset=None,
            font=None,
            )

| set_boolean
--- | ---

    set_boolean (
            self,
            option,
            value,
            )

| close
--- | ---

    close ( self )

| __init__
--- | ---

    __init__ (
            self,
            filename=None,
            persist=None,
            debug=None,
            )

Exceptions |
--- | ---
Errors.OptionError( 'Gnuplot with output to file does not allow ' 'persist option.' )

| plot
--- | ---

    plot (
            self,
            *items,
            *keyw,
            )

| set_range
--- | ---

    set_range (
            self,
            option,
            value,
            )

| interact
--- | ---

    interact ( self )

| ylabel
--- | ---

    ylabel (
            self,
            s=None,
            offset=None,
            font=None,
            )

| __call__
--- | ---

    __call__ ( self,  s )

| save
--- | ---

    save ( self,  filename )

| __del__
--- | ---

    __del__ ( self )

| zlabel
--- | ---

    zlabel (
            self,
            s=None,
            offset=None,
            font=None,
            )

| hardcopy
--- | ---

    hardcopy (
            self,
            filename=None,
            terminal=None,
            **keyw,
            )

Exceptions |
--- | ---
Errors.OptionError('Terminal "%s" is not configured in Gnuplot.py.' %( terminal, ) ) Errors.OptionError( 'default_lpr is not set, so you can only print to a file.' ) Errors.OptionError('The following options are unrecognized: %s' %( string.join( keyw.keys(), ', ' ), ) )

| splot
--- | ---

    splot (
            self,
            *items,
            *keyw,
            )

| set_string
--- | ---

    set_string (
            self,
            option,
            s=None,
            )

| _clear_queue
--- | ---

    _clear_queue ( self )

| reset
--- | ---

    reset ( self )

| clear
--- | ---

    clear ( self )

| title
--- | ---

    title (
            self,
            s=None,
            offset=None,
            font=None,
            )

| refresh
--- | ---

    refresh ( self )

| xlabel
--- | ---

    xlabel (
            self,
            s=None,
            offset=None,
            font=None,
            )

This document was automatically generated Fri May 2 16:59:07 2008 by HappyDoc version 3.1